Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMultipleInputFilter Class Reference

`#include <vtkImageMultipleInputFilter.h>`

Inheritance diagram for vtkImageMultipleInputFilter:

[legend]
Collaboration diagram for vtkImageMultipleInputFilter:

[legend]
List of all members.

## Detailed Description

Generic filter that has N inputs.

Date:
  2002/10/28 19:01:27

Revision:
  1.54

vtkImageMultipleInputFilter is a super class for filters that have any number of inputs. Steaming is not available in this class yet.

See also:
  vtkImageToImageFilter vtkImageInPlaceFilter vtkImageTwoInputFilter vtkImageTwoOutputFilter

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (68%)
  - Martin, Ken (21%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImageMultipleInputFilter.cxx)`
  - .`h` (`/Filtering/vtkImageMultipleInputFilter.h)`

Definition at line 48 of file vtkImageMultipleInputFilter.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (int num, vtkImageData *input)
virtual void | AddInput (vtkImageData *input)
virtual void | RemoveInput (vtkImageData *input)
vtkImageData * | GetInput (int num)
vtkImageData * | GetInput ()
virtual void | SetBypass (int)
virtual int | GetBypass ()
virtual void | BypassOn ()
virtual void | BypassOff ()
virtual void | SetNumberOfThreads (int)
virtual int | GetNumberOfThreads ()
virtual int | SplitExtent (int splitExt[6], int startExt[6], int num, int total)
virtual void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int threadId)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageMultipleInputFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMultipleInputFilter ()
| ~vtkImageMultipleInputFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6], int whichInput)
void | ExecuteData (vtkDataObject *output)
void | ExecuteInformation ()
virtual void | ExecuteInformation (vtkImageData **, vtkImageData *)
## Protected Attributes
vtkMultiThreader * | Threader
int | Bypass
int | NumberOfThreads

## Member Typedef Documentation

typedef vtkImageSource vtkImageMultipleInputFilter::Superclass

| Reimplemented from vtkImageSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageTwoInputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression. Definition at line 51 of file vtkImageMultipleInputFilter.h.

## Constructor & Destructor Documentation

vtkImageMultipleInputFilter::vtkImageMultipleInputFilter | ( |  | ) | `[protected]`

vtkImageMultipleInputFilter::~vtkImageMultipleInputFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImageMultipleInputFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageTwoInputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

int vtkImageMultipleInputFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageTwoInputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

virtual int vtkImageMultipleInputFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageTwoInputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

vtkImageMultipleInputFilter* vtkImageMultipleInputFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageTwoInputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

void vtkImageMultipleInputFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageTwoInputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

virtual void vtkImageMultipleInputFilter::SetInput | ( | int | num,
|  | vtkImageData * | input
| ) | `[virtual]`

| Set an Input of this filter. Reimplemented in vtkImageDifference. Referenced by vtkImageDifference::SetInput().

virtual void vtkImageMultipleInputFilter::AddInput | ( | vtkImageData * | input | ) | `[virtual]`

| Adds an input to the first null position in the input list. Expands the list memory if necessary

virtual void vtkImageMultipleInputFilter::RemoveInput | ( | vtkImageData * | input | ) | `[virtual]`

| Adds an input to the first null position in the input list. Expands the list memory if necessary

vtkImageData* vtkImageMultipleInputFilter::GetInput | ( | int | num | ) |

| Get one input to this filter.

vtkImageData* vtkImageMultipleInputFilter::GetInput | ( |  | ) |

| Get one input to this filter.

virtual void vtkImageMultipleInputFilter::SetBypass | ( | int |  | ) | `[virtual]`

| Turning bypass on will cause the filter to turn off and simply pass the data from the first input (input0) through. It is implemented for consistency with vtkImageToImageFilter.

virtual int vtkImageMultipleInputFilter::GetBypass | ( |  | ) | `[virtual]`

| Turning bypass on will cause the filter to turn off and simply pass the data from the first input (input0) through. It is implemented for consistency with vtkImageToImageFilter.

virtual void vtkImageMultipleInputFilter::BypassOn | ( |  | ) | `[virtual]`

| Turning bypass on will cause the filter to turn off and simply pass the data from the first input (input0) through. It is implemented for consistency with vtkImageToImageFilter.

virtual void vtkImageMultipleInputFilter::BypassOff | ( |  | ) | `[virtual]`

| Turning bypass on will cause the filter to turn off and simply pass the data from the first input (input0) through. It is implemented for consistency with vtkImageToImageFilter.

virtual void vtkImageMultipleInputFilter::SetNumberOfThreads | ( | int |  | ) | `[virtual]`

| Get/Set the number of threads to create when rendering

virtual int vtkImageMultipleInputFilter::GetNumberOfThreads | ( |  | ) | `[virtual]`

| Get/Set the number of threads to create when rendering

virtual int vtkImageMultipleInputFilter::SplitExtent | ( | int | splitExt[6],
|  | int | startExt[6],
|  | int | num,
|  | int | total
| ) | `[virtual]`

| Putting this here until I merge graphics and imaging streaming.

virtual void vtkImageMultipleInputFilter::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | threadId
| ) | `[virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented in vtkImageMultipleInputOutputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

void vtkImageMultipleInputFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource. Reimplemented in vtkImageMultipleInputOutputFilter.

virtual void vtkImageMultipleInputFilter::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6],
|  | int | whichInput
| ) | `[protected, virtual]`

| Reimplemented in vtkImageMultipleInputOutputFilter, vtkImageAppend, vtkImageBlend, vtkImageCorrelation, vtkImageDifference, and vtkImageNonMaximumSuppression.

void vtkImageMultipleInputFilter::ExecuteData | ( | vtkDataObject * | output | ) | `[protected]`

| Reimplemented in vtkImageMultipleInputOutputFilter, and vtkImageBlend.

void vtkImageMultipleInputFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkImageMultipleInputOutputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression. Referenced by vtkImageNonMaximumSuppression::ExecuteInformation(), vtkImageMathematics::ExecuteInformation(), vtkImageMask::ExecuteInformation(), vtkImageDotProduct::ExecuteInformation(), vtkImageDifference::ExecuteInformation(), vtkImageCorrelation::ExecuteInformation(), vtkImageBlend::ExecuteInformation(), vtkImageAppendComponents::ExecuteInformation(), vtkImageAppend::ExecuteInformation(), and vtkPushImageFilterSample::ExecuteInformation().

virtual void vtkImageMultipleInputFilter::ExecuteInformation | ( | vtkImageData ** | ,
|  | vtkImageData * |
| ) | `[inline, protected, virtual]`

| Reimplemented in vtkImageMultipleInputOutputFilter, vtkPushImageFilterSample, vtkImageAppend, vtkImageAppendComponents, vtkImageBlend, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression. Definition at line 122 of file vtkImageMultipleInputFilter.h.

## Member Data Documentation

vtkMultiThreader* vtkImageMultipleInputFilter::Threader`[protected]`

| Definition at line 106 of file vtkImageMultipleInputFilter.h.

int vtkImageMultipleInputFilter::Bypass`[protected]`

| Definition at line 107 of file vtkImageMultipleInputFilter.h.

int vtkImageMultipleInputFilter::NumberOfThreads`[protected]`

| Definition at line 108 of file vtkImageMultipleInputFilter.h.

The documentation for this class was generated from the following file:

- Filtering/vtkImageMultipleInputFilter.h